Category: Issues filter Estimated time: 0.00 hour
Resolution:    

Description

Is there any plugin or filter on how to see delayed issue?

We have a rules in our company that whenever you have a duedate and didn't finish on the said date or ask an extension, you will

get a penalty.

For example, I have a due date on May 20, 2013 and forgot to ask an extension on the author, and on the following day I ask for an

extension, I will get a penalty for this. Is there anyway to filter something like this?

We need to finish or ask an extension on an issue before the said due date around 6PM.

History

#1 - 2013-05-20 12:11 - Stamos Yang

BTW, we are using 1.2.1 of Redmine. Thanks

#2 - 2013-05-21 04:47 - Toshi MARUYAMA

- File issues-filter.png added

- Status changed from New to Needs feedback

- Priority changed from High to Normal

You can use "Due date" filter.

 issues-filter.png 

#3 - 2013-05-21 05:02 - Stamos Yang

Ah I know this but this won't don..

Let say the example above May 20, 2013 is the duedate and I request an extension on the following day, it means I have a note that I request an

extension on May 21, 2013 it should be on May 20, 2013.. then days have been pass and the checking of Penalty has arrived, our Task Manager

Staff will check all the issues and notes to see if it was extended before the due date.

Our TMStaff need a filter like this so he can see all the late extension.

#4 - 2013-05-24 06:53 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#5 - 2013-05-24 14:22 - Daniel Felix

I think Stamos want to see Issues which has as closed_at date > due_date.

Example 1:  

Issue has following values expected Filter result

due_date closed_at current date

2013-01-01 2013-01-02 2013-05-01 issue should be displayed in the

filter result

2013-01-01 NULL 2013-05-01 issue should be displayed in the

filter result

2013-01-01 2013-01-01 2013-05-01 issue should not be displayed in

the filter result
2013-05-31 2013-05-01 2013-05-01 issue should not be displayed in

the filter result

2013-05-31 NULL 2013-05-01 issue should not be displayed in

the filter result

Right?

#6 - 2013-05-25 12:08 - Stamos Yang

yes almost almost the same as that, but also can track late extend on notes.. let say due date is today(may 25), then may 26, I asked the author to

extend it today in NOTE/comment, can we filter this also?

#7 - 2013-05-31 04:42 - Stamos Yang

ok let me change what kind of filter is this..

Let say there are 5 issues that Today is the due date)May 31), then tomorrow comes(june 1) and this 5 issues wasn't extended nor closed, this 5

issues will become a delayed task. and will be automatically sent to a certain email.

Another filter if possible, let say there are 5 issues again and today is the duedate(May 31), 2 of the issues noted there that they ask for a request for

an extension, and it was extended on the following day, and the 2 of the issues said that this is done and can be closed bt it was closed on the

following day. Then June 1 comes, the 2 issues was extended to June something, the 2 issues was closed, and the last issue wasn't closed nor

extended because there's no one noted a request for an extension nor done. so the last issue will become a delayed task and the 4 issues won't

become a delayed task. thus the last issue will be automatically sent to a certain email.

This will become an everyday filtering and be sent to the certain email.

also if possible it can filter the people who can be check on delayed task.

#8 - 2014-10-30 07:27 - ami desai

+1

#9 - 2019-10-01 05:37 - Go MAEDA

- Category changed from Issues to Issues filter
